## flask-session 0.3.2

=== Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Flask-Session.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Flask-Session.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Flask-Session"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Flask-Session"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
flask-session (0.3.2-3) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 08 Oct 2022 13:54:53 -0300

flask-session (0.3.2-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control: fix Vcs repository address for Python-team
  * Included sphinx documentation binary
  * fix build problem

  [ Jonathan Carter ]
  * debian/rules: spelling error from "fixe" to "fix"

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 17 Aug 2022 22:09:48 -0300

flask-session (0.3.2-1) experimental; urgency=medium

  * Initial release. (Closes: #928091)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 19 Jun 2022 13:40:01 -0300

=== debian/control ===
Source: flask-session
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx,
               python3-wheel
Standards-Version: 4.6.1
Homepage: https://github.com/fengsp/flask-session
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-session
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-session.git

Package: python3-flask-session
Architecture: all
Depends: python3-cachelib, python3-flask, ${misc:Depends}, ${python3:Depends}
Suggests: python-flask-session-doc
Description: Flask extension for server session
 Flask-Session is an extension for Flask that adds support for Server-side
 Session to your application. Flask 0.8 or newer is required, if you are
 using an older version.

Package: python-flask-session-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Flask extension for server session (common documentation)
 Flask-Session is an extension for Flask that adds support for Server-side
 Session to your application. Flask 0.8 or newer is required, if you are
 using an older version.
 .
 This package contains HTML documentation, incorporates instructions on how
 to install and configure and use this module with Flask.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=flask-session
%:
	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild
#tests are failing for reasons as yet unknown.
override_dh_auto_test:
# Build sphinx HTML documentation
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -bhtml docs/ build/html
# Fix privacy-breach-generic
override_dh_link:
	dh_link
	find debian/python-flask-session-doc/ -name '*.html' -exec sed -i 's/src=/""/g' {} \;
	find debian/python-flask-session-doc/ -name '*.js' -delete

=== debian/watch ===
version=4
https://github.com/fengsp/flask-session/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## flask-session 0.5.0

=== debian/changelog ===
flask-session (0.5.0-3) unstable; urgency=medium

  * debian/watch: don't follow the pre-launch

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 01 Feb 2024 23:40:06 -0300

flask-session (0.5.0-2) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 25 Jul 2023 21:44:00 -0300

flask-session (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * debian/control: add dependencies and update Standards-Version
  * debian/copyright: updated year to 2023
  * debian/docs: change extension to .rst
  * debian/patches: deleted the release info from the config.py file
  * debian/python-flask-session-doc.docs: change file
  * debian/rules: change directory for sphinx docs to debain/html

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 05 Jul 2023 09:35:42 -0300

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,14 @@
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
+               flit,
                dh-python,
                python3-all,
                python3-setuptools,
                python3-sphinx,
-               python3-wheel
-Standards-Version: 4.6.1
+               python3-wheel,
+               pybuild-plugin-pyproject
+Standards-Version: 4.6.2
 Homepage: https://github.com/fengsp/flask-session
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-session
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-session.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # Build sphinx HTML documentation
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -bhtml docs/ build/html
+	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -bhtml docs/ debian/html
 # Fix privacy-breach-generic
 override_dh_link:
 	dh_link

## flask-session 0.8.0

=== debian/changelog ===
flask-session (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
  * debian/clean: Added construction artifacts
  * debian/control: Added "Build-Depends" needed to build doc-sphinx
  * debian/patches: Update to new version
  * debian/rules: Tweaks needed to build doc-sphinx

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 04 Apr 2024 22:23:36 -0300

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,16 @@
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
+               dh-python,
                flit,
-               dh-python,
+               furo,
+               jdupes,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
                python3-sphinx,
-               python3-wheel,
-               pybuild-plugin-pyproject
+               python3-sphinx-favicon,
+               python3-wheel
 Standards-Version: 4.6.2
 Homepage: https://github.com/fengsp/flask-session
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-session
@@ -19,7 +22,10 @@
 
 Package: python3-flask-session
 Architecture: all
-Depends: python3-cachelib, python3-flask, ${misc:Depends}, ${python3:Depends}
+Depends: python3-cachelib,
+         python3-flask,
+         ${misc:Depends},
+         ${python3:Depends}
 Suggests: python-flask-session-doc
 Description: Flask extension for server session
  Flask-Session is an extension for Flask that adds support for Server-side
@@ -30,7 +36,8 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
 Description: Flask extension for server session (common documentation)
  Flask-Session is an extension for Flask that adds support for Server-side
  Session to your application. Flask 0.8 or newer is required, if you are

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=flask-session
%:
	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild
#tests are failing for reasons as yet unknown.
override_dh_auto_test:
# Build sphinx HTML documentation
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -d debian/doctrees -N -bhtml docs/ debian/html
# Fix privacy-breach-generic
execute_before_dh_sphinxdoc:
	find debian/python-flask-session-doc/ -name '*.html' -exec sed -i 's/src=/""/g' {} \;
	find debian/python-flask-session-doc/ -name '*.html' -exec sed -i 's/<link rel=/""/g' {} \;
	find debian/python-flask-session-doc/ -name '*.js' -delete
#Fix duplicate-files
	jdupes -rl debian/python-flask-session-doc/usr

#fix package-contains-empty-director	
override_dh_link:
	dh_link
	find debian/python-flask-session-doc/ -type d -empty -delete

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/fengsp/flask-session/tags .*/(\d[\-+\.:\~\d]*)@ARCHIVE_EXT@
